#region Using Directives

using System;
using System.Drawing;
using System.Web.UI.WebControls;
using System.ComponentModel;

#endregion

namespace Web.Google
{
    public class DataPoint : StateManagedItem
    {
        #region Properties

        public float Value
        {
            get
            {
                object o = ViewState["Value"];
                return o == null ? float.MinValue : (float)o;
            }
            set { ViewState["Value"] = value; }
        }

        public MarkerType Marker
        {
            get
            {
                object o = ViewState["Marker"];
                return o == null ? MarkerType.None : (MarkerType)o;
            }
            set { ViewState["Marker"] = value; }
        }

        [DefaultValue(typeof(Color), "Black"), TypeConverter(typeof(WebColorConverter))]
        public Color MarkerColor
        {
            get
            {
                object o = ViewState["MarkerColor"];
                return o == null ? Color.Black : (Color)o;
            }
            set { ViewState["MarkerColor"] = value; }
        }

        public int MarkerSize
        {
            get
            {
                object o = ViewState["MarkerSize"];
                return o == null ? 10 : (int)o;
            }
            set { ViewState["MarkerSize"] = value; }
        }

        #endregion
    }
}