#region Using Directives

using System;
using System.Drawing;
using System.Web.UI;
using System.ComponentModel;

#endregion

namespace Web.Google
{
    [ParseChildren(true, "Stops"), PersistChildren(false)]
    public class LinearStripeFill : Fill
    {
        #region Fields

        private StripeFillStopCollection stops = null;

        #endregion

        #region Constructors

        public LinearStripeFill()
        {
        }

        #endregion

        #region Properties

        [
            MergableProperty(false),
            PersistenceMode(PersistenceMode.InnerDefaultProperty),
        ]
        public StripeFillStopCollection Stops
        {
            get
            {
                if (stops == null)
                {
                    stops = new StripeFillStopCollection();
                    if (base.IsTrackingViewState)
                    {
                        stops.TrackViewState();
                    }
                }
                return stops;
            }
        }

        public int Angle
        {
            get
            {
                object o = ViewState["Angle"];
                return o == null ? 0 : (int)o;
            }
            set { ViewState["Angle"] = value; }
        }

        #endregion

        #region Methods

        public override string ToString()
        {
            DelimitedList<string> options = new DelimitedList<string>();
            options.Add(EnumHelper.GetEnumDescription(Type));
            options.Add("ls");
            options.Add(Angle.ToString());
            foreach (StripeFillStop stop in Stops)
            {
                options.Add(ColorHelper.ColorToHexString(stop.Color));
                options.Add(stop.Width.ToString());
            }
            return options.ToString();
        }

        public override int GetHashCode()
        {
            return ToString().GetHashCode();
        }

        #endregion
    }
}